%define _name ggv
%define ver_major 2.6

Name: ggv2
Version: %ver_major.2
Release: alt1

Summary: GNOME PostScript viewer
License: GPL
Group: Office
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define libgnomeui_ver 2.6.1
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0
%define libbonoboui_ver 2.6.1
%define rpm_ver 4.0.4-alt14
%define gs_ver 7.06-alt4

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libbonoboui >= %libbonoboui_ver

#Requires: gnu-ghostscript-gtk >= 7.05
Requires: ghostscript-classic >= %gs_ver
Requires: ghostscript-module-X >= %gs_ver

Obsoletes: ggv

BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: rpm >= %rpm_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Sun Apr 18 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 ghostscript-classic ghostscript-module-X glib glib2-devel gnome-vfs2-devel indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgimp-print libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
ggv allows to view PostScript documents, and print ranges of pages.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version

%build
#export ac_cv_path_GS_PROG=/usr/bin/gsx
export ac_cv_path_GS_PROG=/usr/bin/gs
%configure --enable-platform-gnome-2 \
	    --disable-install-schemas

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Publishing" \
    %buildroot%_datadir/applications/%_name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %_name

%post
%gconf2_install %_name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %_name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog MAINTAINERS README TODO

%changelog
* Mon Jul 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sun Apr 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Thu Apr 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0.1-alt1
- 2.6.0.1

* Sat Mar 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.99-alt1
- 2.5.99

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0.2-alt1
- 2.4.0.2

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.99-alt1
- 2.3.99

* Tue Jul 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2
- requires gnu-ghostscript-module-X (close #2735)

* Mon Jun 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Jun 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Jun 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Mon Apr 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- 2.0.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.99.98-alt1
- 1.99.98

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.97-alt1
- 1.99.97

* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.96-alt1
- 1.99.96

* Sat Oct 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.95-alt1
- 1.99.95

* Fri Oct 11 2002 Dmitry V. Levin <ldv@altlinux.org> 1.99.90-alt3
- Fixed multiply buffer overflows due to unsafe sscanf() usage.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.90-alt2
- rebuild with new pango, gtk+

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.90-alt1
- 1.99.90
- updated buildrequires

* Thu Jul 04 2002 Igor Androsov <blake@altlinux.ru> 1.99.7-alt1
- Adopted for Sisyphus.

* Fri Aug 27 1999 Karl Eichwalder <ke@suse.de>
- Added more %doc files
- Fixed the spelling of PostScript and the Source entry

* Sat Aug 21 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- Actualized spec file

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
